Name:           ocaml-gettext
Version:        0.3.8
Release:        %mkrel 0.4.git3aecf8e5350f.3
Summary:        OCaml library for i18n
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/gildor478/ocaml-gettext
#Source0:        https://github.com/gildor478/%{name}/archive/%{version}.tar.gz
# Temporarily using a preview of 0.3.8 built from git:
# git archive --format=tar --prefix=ocaml-gettext-0.3.8/ 3aecf8e5350f | gzip > ocaml-gettext-0.3.8-3aecf8e5350f.tar.gz
Source0:        ocaml-gettext-0.3.8-3aecf8e5350f.tar.gz
Requires:       ocaml-camomile-data
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-camomile-devel >= 0.8.6
BuildRequires:  ocaml-camomile-data
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  chrpath
Requires:       ocaml-fileutils
Requires:       ocaml-camomile
Conflicts:      ocaml-gettext-devel < 0.3.8-0.4

%description
OCaml-gettext provides support for internationalization of OCaml
programs.

Constraints :

* provides a pure OCaml implementation,
* the API should be as close as possible to GNU gettext,
* provides a way to automatically extract translatable
  strings from OCaml source code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-fileutils-devel
Requires:       ocaml-camomile-devel
Conflicts:      ocaml-gettext < 0.3.8-0.4


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        camomile
Summary:        Parts of %{name} which depend on Camomile
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Conflicts:      camomile-devel < 0.3.8-0.4

%description    camomile
The %{name}-camomile package contains the parts of %{name} which
depend on Camomile.

%package        camomile-devel
Summary:        Development files for %{name}-camomile
Group:          Development/OCaml
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-camomile = %{version}-%{release}
Conflicts:      camomile < 0.3.8-0.4


%description    camomile-devel
The %{name}-camomile-devel package contains libraries and
signature files for developing applications that use
%{name}-camomile.

%prep
%setup -q
%autopatch -p1

# Remove dependency on batteries.
sed -i -e 's/batteries//' test/dune
sed -i -e 's/batteries//' test/test-stub/dune

%build
make build

#check
# Tests require batteries, so they are disabled at present.
# Under discussion with upstream.

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p %{buildroot}%{_bindir}
dune install --destdir=$RPM_BUILD_ROOT

# Remove this, we will use our own rules for documentation.
rm -rf $RPM_BUILD_ROOT/usr/doc


%files
%doc COPYING
%dir %{_libdir}/ocaml/gettext
%{_libdir}/ocaml/gettext/META
%{_libdir}/ocaml/gettext/*/*.cmi
%{_libdir}/ocaml/gettext/*.cma
%{_libdir}/ocaml/gettext/*/*.cma
%{_libdir}/ocaml/gettext/*.cmxs
%{_libdir}/ocaml/gettext/*/*.cmxs
#{_libdir}/ocaml/gettext/*.cmo
%dir %{_libdir}/ocaml/gettext-stub
%{_libdir}/ocaml/gettext-stub/META
%{_libdir}/ocaml/gettext-stub/*.cmi
%{_libdir}/ocaml/gettext-stub/*.cma
%dir %{_libdir}/ocaml/stublibs
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc README.md CHANGELOG THANKS TODO.md
%{_libdir}/ocaml/gettext/*.a
%{_libdir}/ocaml/gettext/*.cmxa
%{_libdir}/ocaml/gettext/*/*.a
%{_libdir}/ocaml/gettext/*/*.cmxa
%{_libdir}/ocaml/gettext/*/*.cmx
%{_libdir}/ocaml/gettext-stub/*.ml
%{_libdir}/ocaml/gettext-stub/*.a
%{_libdir}/ocaml/gettext-stub/*.cmi
%{_libdir}/ocaml/gettext-stub/*.cmt
%{_libdir}/ocaml/gettext-stub/*.cmx
%{_libdir}/ocaml/gettext-stub/*.cmxa
%{_libdir}/ocaml/gettext-stub/*.cmxs
%{_libdir}/ocaml/gettext-stub/dune-package
%{_libdir}/ocaml/gettext-stub/opam
%{_libdir}/ocaml/gettext/*/*.ml
%{_libdir}/ocaml/gettext/*/*.mli
%{_libdir}/ocaml/gettext/*/*.cmt
%{_libdir}/ocaml/gettext/*/*.cmti
%{_libdir}/ocaml/gettext/dune-package
%{_libdir}/ocaml/gettext/opam
%{_bindir}/ocaml-gettext
%{_bindir}/ocaml-xgettext

%files camomile
%doc COPYING
%dir %{_libdir}/ocaml/gettext-camomile
%{_libdir}/ocaml/gettext-camomile/META
%{_libdir}/ocaml/gettext-camomile/*.cmi
%{_libdir}/ocaml/gettext-camomile/*.cma

%files camomile-devel
%doc README.md
%{_libdir}/ocaml/gettext-camomile/*.a
%{_libdir}/ocaml/gettext-camomile/*.cmt
%{_libdir}/ocaml/gettext-camomile/*.cmti
%{_libdir}/ocaml/gettext-camomile/*.cmxa
%{_libdir}/ocaml/gettext-camomile/*.cmxs
%{_libdir}/ocaml/gettext-camomile/*.cmx
%{_libdir}/ocaml/gettext-camomile/*.ml
%{_libdir}/ocaml/gettext-camomile/*.mli
%{_libdir}/ocaml/gettext-camomile/dune-package
%{_libdir}/ocaml/gettext-camomile/opam


%changelog
* Sat Jan 09 2021 pterjan <pterjan> 0.3.8-0.4.git3aecf8e5350f.3.mga8
+ Revision: 1670234
- Fix file lists and conflicts

* Fri Feb 28 2020 umeabot <umeabot> 0.3.8-0.3.git3aecf8e5350f.3.mga8
+ Revision: 1551657
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.3.8-0.3.git3aecf8e5350f.2.mga8
+ Revision: 1543769
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.3.8-0.3.git3aecf8e5350f.1.mga8
+ Revision: 1482256
- fix deps on camlp4

* Thu Jan 23 2020 tv <tv> 0.3.8-0.3.git3aecf8e5350f.mga8
+ Revision: 1482226
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 0.3.7-3.mga7
+ Revision: 1325212
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.3.7-2.mga7
+ Revision: 1299876
- Mageia 7 Mass Rebuild

* Tue Dec 05 2017 tv <tv> 0.3.7-1.mga7
+ Revision: 1181340
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.3.5-3.mga6
+ Revision: 1056355
- Rebuild for fix in ocaml

* Wed Feb 03 2016 pterjan <pterjan> 0.3.5-2.mga6
+ Revision: 932985
- Fix BuildRequires
- Rebuild for new ocaml
+ tv <tv>
- new release
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-11.mga5
+ Revision: 743765
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.3.4-10.mga5
+ Revision: 725147
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-9.mga5
+ Revision: 683039
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.4-8.mga4
+ Revision: 523380
- Mageia 4 Mass Rebuild

* Sat Apr 13 2013 malo <malo> 0.3.4-7.mga3
+ Revision: 410056
- add missing requires

* Sun Jan 13 2013 umeabot <umeabot> 0.3.4-6.mga3
+ Revision: 361390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 0.3.4-5.mga3
+ Revision: 323488
- rebuild for new ocaml-fileutils
- change BuildRequires to ocaml-compiler
+ blue_prawn <blue_prawn>
- new rpm group for ocaml

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3.4-3.mga3
+ Revision: 300135
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.3.4-2.mga2
+ Revision: 210177
- missing requires ocaml-camomile and camlp4
- fixing META file
- spec clean-up

* Wed Oct 05 2011 shlomif <shlomif> 0.3.4-1.mga2
+ Revision: 152013
- New version - 0.3.4 - thanks to Malo.
+ fwang <fwang>
- rebuild for new ocaml

* Tue Mar 15 2011 saispo <saispo> 0.3.3-1.mga1
+ Revision: 72008
- Fix mistake
- Add Epoch on Requires
- New release 0.3.3
- imported package ocaml-gettext

